.TH PY7ZR "1" "May 2024" "py7zr" "User Commands"
.SH NAME
py7zr \- Pure python 7zr implementation
.SH SYNNOPSIS
.SY py7zr
[\-h] [\-\-version] {\fBl\fR,\fBx\fR,\fBc\fR,\fBa\fR,\fBi\fR,\fBt\fR} ...
.YS
.SH DESCRIPTION
\fBpy7zr\fR is a library and utility to support 7zip archive compression, decompression,
encryption and decryption written by Python programming language.
.PP
The \fBpy7zr\fR module provides a simple command-line interface to interact with
7z archives.
.SS "Command-Line options:"
.TP
\fBl\fR \fI7z_file.7z\fR
List files in a 7z file.
.TP
\fBx\fR \fI7z_file.7z\fR [\fIoutput_dir\fR]
Extract 7z file into \fIoutput_dir\fR.
.TP
\fBc\fR \fI7z_file.7z\fR \fIbase_dir\fR
Create 7zip archive from \fIbase_dir\fR
.TP
\fBa\fR \fI7z_file.7z\fR \fIbase_dir\fR
Append files from \fIbase_dir\fR to existent 7zip archive.
.TP
\fBi\fR \fI7z_file.7z\fR
Show archive information of specified 7zip archive.
.TP
\fBt\fR \fI7z_file.7z\fR
Test whether the 7z file is valid or not.
.SS "Common command options:"
.TP
\fB\-h\fR, \fB\-\-help\fR
Show help message and exit
.TP
\fB\-\-version\fR
Show version
.TP
\fB\-P\fR, \fB\-\-password\fR
Extract, list or create password protected archive. \fBpy7zr\fR will prompt user input.
.TP
\fB\-\-verbose\fR
Show verbose debug log.
.SS "Create command options:"
.TP
\fB\-v\fR, \fB\-\-volume\fR {\fISize\fR}[b|k|m|g]
Create multi-volume archive with \fISize\fR. Usable with "\fBc\fR" sub-command.
.SH "SEE ALSO"
.MR 7zr 1
.PP
.TP
User Guide
.UR https://py7zr.readthedocs.io/en/latest/user_guide.html
.UE
